> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get bank account balance history

> Get balance history for a specific bank account



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox get /v5/banks/accounts/{id}/balanceHistory
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/banks/accounts/{id}/balanceHistory:
    get:
      tags:
        - Banks
      summary: Get bank account balance history
      description: Get balance history for a specific bank account
      operationId: getBankAccountBalanceHistory
      parameters:
        - name: id
          in: path
          description: Bank account ID
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/TRAX_GET_RESPONSEBankAccountBalanceHistoryDTOList
      security:
        - accessTokenSecurity: []
components:
  schemas:
    TRAX_GET_RESPONSEBankAccountBalanceHistoryDTOList:
      properties:
        data:
          type: array
          description: The list of entities
          items:
            $ref: '#/components/schemas/BankAccountBalanceHistoryDTO'
        lastUpdatedDate:
          type: string
          description: Date filter - to be used in your subsequent request
          format: date-time
        cursor:
          type: string
          description: >-
            Cursor to be used in your subsequent paginated request. Only
            populated if there are more pages available.
        deletedIds:
          type: array
          description: >-
            Ids of entities that no longer match the request's filter criteria
            since the request's lastUpdatedDate
          items:
            type: integer
            format: int32
    BankAccountBalanceHistoryDTO:
      required:
        - bankAccountId
      type: object
      properties:
        id:
          type: integer
          format: int64
        bankAccountId:
          type: integer
          description: Id of the bank account
          format: int64
          readOnly: true
        latestTransactionDatetime:
          type: string
          description: Date time of the most recent Tight transaction
          format: date-time
          readOnly: true
        latestTransactionDate:
          type: string
          description: Date of the most recent Tight transaction
          format: date
          readOnly: true
        latestApiTransactionId:
          type: string
          description: API identifier of the most recent transaction
          readOnly: true
        generalLedgerBalance:
          type: number
          description: Balance of the bank account in Tight
          readOnly: true
        apiBalanceCurrentBalance:
          type: number
          description: Balance of the bank account (from Plaid's Accounts API)
          readOnly: true
        apiBalanceLastUpdatedDatetime:
          type: string
          description: Last time the balance was updated per Plaid
          format: date-time
          readOnly: true
        createdDatetime:
          type: string
          description: Timestamp that the balance is recorded
          format: date-time
          readOnly: true
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````